SHOVILL(1)

NAME
shovill - Assemble bacterial isolate genomes from Illumina paired-end reads

DESCRIPTION
SYNOPSIS

    De novo assembly pipeline for Illumina paired reads

USAGE

    shovill [options] --outdir DIR --R1 R1.fq.gz --R2 R2.fq.gz

GENERAL

--help
    This help

--version
    Print version and exit

--check
    Check dependencies are installed

INPUT

--R1 XXX
    Read 1 FASTQ (default: '')

--R2 XXX
    Read 2 FASTQ (default: '')

--depth N
    Sub-sample --R1/--R2 to this depth. Disable with --depth 0 (default: 150)

--gsize XXX
    Estimated genome size eg. 3.2M <blank=AUTODETECT> (default: '')

OUTPUT

--outdir XXX
    Output folder (default: '')

--force
    Force overwrite of existing output folder (default: OFF)

--minlen N
    Minimum contig length <0=AUTO> (default: 0)

--mincov n.nn
    Minimum contig coverage <0=AUTO> (default: 2)

--namefmt XXX
    Format of contig FASTA IDs in 'printf' style (default: 'contig%05d')

--keepfiles
    Keep intermediate files (default: OFF)

RESOURCES

--tmpdir XXX
    Fast temporary directory (default: '')

--cpus N
    Number of CPUs to use (0=ALL) (default: 8)

--ram n.nn
    Try to keep RAM usage below this many GB (default: 7.54)

ASSEMBLER

--assembler XXX Assembler: velvet spades skesa megahit (default: 'spades')

--opts XXX
    Extra assembler options in quotes eg. spades: '--sc' (default: '')

--kmers XXX
    K-mers to use <blank=AUTO> (default: '')

MODULES

--trim
    Enable adaptor trimming (default: OFF)

--noreadcorr
    Disable read error correction (default: OFF)

--nostitch
    Disable read stitching (default: OFF)

--nocorr
    Disable post-assembly correction (default: OFF)

HOMEPAGE

    https://github.com/tseemann/shovill - Torsten Seemann

AUTHOR
 This manpage was written by Nilesh Patra for the Debian distribution and
 can be used for any other usage of the program.